Action (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.Action interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface Action

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface Action

extends ModelObject

Naming Rules:
  0="type,owner,name"
Persistable:
  true
Table Name:
  ACTION
Display Name:
  name

Field Summary
`static java.lang.String` | `COPY`
`static java.lang.String` | `SHELL_COMMAND`
`static java.lang.String` | `SHELL_SCRIPT`

Method Summary
`java.lang.String` | `getCommand()`
`java.lang.String` | `getCommandType()`
`FileLocation` | `getFileLocation()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getParameters()`
`java.lang.String` | `getTargetPath()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUserName()`
`java.lang.String` | `getWorkingDirectory()`
`boolean` | `hasCommand()`
`boolean` | `hasCommandType()`
`boolean` | `hasFileLocation()`
`boolean` | `hasName()`
`boolean` | `hasOwner()`
`boolean` | `hasParameters()`
`boolean` | `hasTargetPath()`
`boolean` | `hasType()`
`boolean` | `hasUserName()`
`boolean` | `hasWorkingDirectory()`
`void` | `setCommand(java.lang.String s)`
`void` | `setCommandType(java.lang.String s)`
`void` | `setFileLocation(FileLocation fl)`
`void` | `setName(java.lang.String s)`
`void` | `setOwner(java.lang.String s)`
`void` | `setParameters(java.lang.String s)`
`void` | `setTargetPath(java.lang.String s)`
`void` | `setType(java.lang.String s)`
`void` | `setUserName(java.lang.String s)`
`void` | `setWorkingDirectory(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### SHELL_COMMAND

    static final java.lang.String SHELL_COMMAND

See Also:
  Constant Field Values

### SHELL_SCRIPT

    static final java.lang.String SHELL_SCRIPT

See Also:
  Constant Field Values

### COPY

    static final java.lang.String COPY

See Also:
  Constant Field Values

Method Detail

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setType

    void setType(java.lang.String s)

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasType

    boolean hasType()

### setOwner

    void setOwner(java.lang.String s)

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOwner

    boolean hasOwner()

### setCommandType

    void setCommandType(java.lang.String s)

### getCommandType

    java.lang.String getCommandType()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCommandType

    boolean hasCommandType()

### setCommand

    void setCommand(java.lang.String s)

### getCommand

    java.lang.String getCommand()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCommand

    boolean hasCommand()

### setFileLocation

    void setFileLocation(FileLocation fl)

### getFileLocation

    FileLocation getFileLocation()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasFileLocation

    boolean hasFileLocation()

### setTargetPath

    void setTargetPath(java.lang.String s)

### getTargetPath

    java.lang.String getTargetPath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTargetPath

    boolean hasTargetPath()

### setUserName

    void setUserName(java.lang.String s)

### getUserName

    java.lang.String getUserName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasUserName

    boolean hasUserName()

### setWorkingDirectory

    void setWorkingDirectory(java.lang.String s)

### getWorkingDirectory

    java.lang.String getWorkingDirectory()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWorkingDirectory

    boolean hasWorkingDirectory()

### setParameters

    void setParameters(java.lang.String s)

### getParameters

    java.lang.String getParameters()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasParameters

    boolean hasParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD